Project

General

Profile

Actions

Bug #9207

closed

Phase1s created before pfSense 2.1.0 no longer work after upgrade to 2.4.3: IPsec ERROR: Could not find phase 1 source for connection [redacted]. Omitting from configuration file.

Added by Louis Sautier over 3 years ago. Updated about 3 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
IPsec
Target version:
Start date:
12/18/2018
Due date:
% Done:

100%

Estimated time:
Plus Target Version:
Release Notes:
Affected Version:
2.4.4_1
Affected Architecture:
All

Description

Hi,
Before e79b24ab3534ac2af7d832038155a99902bc2c49, a phase1 did not have a protocol attribute. This a problem since d1f69741f57f9f049f80040a93278591c424a4cc because the attribute is now required.
Logs now show the following:

/vpn_ipsec.php: IPsec ERROR: Could not find phase 1 source for connection [redacted]. Omitting from configuration file.

Since this commit first appeared in 2.4.3, could something be added to the upgrade_178_to_179 function to add a protocol attribute with a value of inet to all phase1s that don't have one?

Actions

Also available in: Atom PDF